@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');
/* Global Styles */
*{
    scroll-behavior: smooth;
}
body {
    font-family: "Rubik", sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: #fff;
    text-align: center; 
}

/* Header */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #fff;
    color: #000;
    padding: 15px 30px;
}

.logo {
    width: 200px;
}
@media (max-width: 768px){
    header{
        display: block;
    }
    .logo{
        margin: auto;
    }
    
}
.logo img{
    width: 100%;
}
nav ul {
    list-style: none;
    display: flex;
    gap: 15px;
}

nav ul li {
    display: inline;
}

nav ul li a {
    text-decoration: none;
    color: #000;
    font-weight: bold;
    padding: .5rem;
}
nav ul li a:hover{
    color: #e64a19;
}
.search-bar {
    display: flex;
}

.search-bar input {
    padding: 5px;
    border-radius: 5px;
    border: none;
}

.search-bar button {
    background: white;
    border: none;
    padding: 5px;
    cursor: pointer;
}
@media(max-width: 768px){
    nav ul{
        display: none;
    }
}
/* Hero Banner */
/* Banner Section */
.banner {
    width: 100%;
    height: 90vh;
    position: relative;
    overflow: hidden;
    background: linear-gradient(to right, rgb(0, 93, 0), rgba(1, 176, 1, 0.758));
}
@media(max-width: 768px){
    .banner{
        height: 50vh;
    }
    
}
/* Swiper Wrapper */
.innerBanner {
    width: 100%;
    height: 100%;
}
.innerBanner img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}


/* Right Side - Image */
.imgBox {
    width: 50%;
    display: block;
}

.medicineImg {
    width: 350px;
    height: auto;
    object-fit: cover;
}

/* Swiper Navigation */
.swiper-button-next, .swiper-button-prev {
    color: #008cba;
}


.callOutBox {
    background: linear-gradient(to right, #e2e2e2, #ffffff);
    padding: 40px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    justify-content: center;
}

.Calloutcard {
    margin: 20px;
    background-color: #ffffff;
    border-radius: 15px;
    padding: 10px;
    text-align: center;
    transition: transform 0.3s, box-shadow 0.3s, background-color 0.3s;
    border: 1px solid #e0e0e0;
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.1);
}

.Calloutcard:hover {
    transform: translateY(-8px);
    box-shadow: 0 12px 20px rgba(0, 0, 0, 0.2);
    background-color: #f0f8ff; /* Light blue background on hover */
}

.Calloutcard i {
    color: #e64a19;
    margin-bottom: 15px;
}

.Calloutcard h2 {
    font-size: 1rem;
    color: #000;
    margin-bottom: 10px;
    font-weight: bold;
}

.Calloutcard p {
    font-size: 1em;
    color: #555;
}
@media (max-width: 768px){
    .callOutBox{
        display: block;
    }
}


/* Product Section */
.products {
    padding: 10px 20px;
    background: white;
    border-radius: 10px;
    margin: 20px;
}

.products h2 {
    margin-bottom: 50px;
    font-size: 32px;
}

/* Product Container */
.product-container {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
    padding-top: 1rem;
}

/* Product Card */
.product-card {
    background: white;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 0px 2px 8px 2px rgba(0, 0, 0, 0.2);
    width: 220px;
    text-align: center;
    transition: 0.3s;
}

.product-card:hover {
    transform: scale(1.05);
}

/* Product Image */
.product-card img {
    width: 100%;
    border-radius: 5px;
}

/* Product Name */
.product-card h3 {
    margin: 10px 0;
    font-size: 18px;
    color: #333;
}
@media (max-width: 768px){
    .product-card{
        width: 100%;
    }
    .product-card img {
        width: 50%;
        border-radius: 5px;
    }
}
@media(max-width: 550px){
    /* .products h2{
        font-size: 18px;
    } */
    .product-card h3 {
        font-size: 16px;
    }
}
/* Price */
.price {
    font-size: 16px;
    font-weight: bold;
    color: #008cba;
}

/* Add to Cart Button */
.cart-btn {
    display: block;
    background: #ff5722;
    color: white;
    padding: 10px;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    width: fit-content;
    margin: auto;
    font-size: .8em;
    text-decoration: none;
    margin-top: 16px;
}

.cart-btn:hover {
    background: #e64a19;
}


.about-section {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 50px;
    background: white;
    margin: auto;
}

.about-image {
    width: 40%;
    padding-right: 20px;
}

.about-image img {
    width: 100%;
    border-radius: 10px;
}

.about-text {
    width: 55%;
    text-align: left;
}
.about-text span{
    font-weight: 700;
    color: #e64a19;
    font-size: 16px;
}
.about-text h2 {
    font-size: 32px;
    margin-bottom: 10px;
    color: #333;
}

.about-text p {
    font-size: 18px;
    line-height: 1.6;
    color: #666;
}

@media(max-width: 950px) {
    .about-text{
        width: 100%;
        text-align: left;
    }

    .about-image {
        width: 100%;
    }
    .about-image img{
        height: 200px;
        object-fit: cover;
    }
}

@media (max-width: 768px) {
    .about-section {
        flex-direction: column;
        text-align: center;
        padding: 30px;
    }

    .about-image {
        padding-right: 0;
        margin-bottom: 20px;
    }
}



.testimonials {
    background-image: url('image/bg1.jpg');
    background-position: bottom;
    background-size: cover;
    background-repeat: no-repeat;
    padding: 5%;
    border-radius: 10px;
}
#topheding{
    color: #e64a19;
    font-weight: 700;
    font-size: 18px;
}
.testimonials h2 {
    text-align: center;
    font-size: 32px;
    margin-bottom: 5%;
}

.testimonial-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.testimonial-card {
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    transition: transform 0.3s, box-shadow 0.3s; /* Animation for hover effect */
}

.testimonial-card:hover {
    transform: scale(1.05); /* Scale effect on hover */
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2); /* Enhanced shadow on hover */
}

.testimonial-card p {
    font-style: italic;
    color: #555;
}

.testimonial-card h3 {
    text-align: right;
    color: #333;
}

/* Responsive Design */
@media (max-width: 768px) {
    .testimonial-card {
        width: auto;
    }
}

/* Contact Form */

.contact-section{
    padding: 5%;
    background-image: url('image/bg4.jpg');
    background-position: bottom;
}
.contact-section h2{
    color: #000;
    font-size: 32px;
    margin-bottom: 20px;
}
.innerContactForm{
    display: flex;
    justify-content: space-between;
}
.contact-form{
    width: 40%;
}
.contact-form h3{
    font-size: 24px;
}
.contact-form form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin: auto;
}

.contact-form form input, form textarea {
    padding:20px 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-bottom: 1rem;
}

.contact-form form button {
    padding: 20px 10px;
    background: #008cba;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 1rem;
}
.contact-info-map{
    width: 57%;
}
.contact-info h3{
    font-size: 24px;
}
.contact-info .infoBox{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-between;
    text-align: center;
}

.contact-info .infoBox i{
    display: block;
    width: 50px;
    height: 50px;
    line-height: 50px;
    text-align: center;
    font-size: 1.5rem;
    background-color: #fed4d4;
    border-radius: 50%;
    color: #e64a19;
    margin: auto;
    margin-bottom: .5rem;
}

@media(max-width: 1000px){
    .innerContactForm{
        flex-direction: column;
    }
    .contact-form{
        width: 100%;
    }
    .contact-info-map{
        width: 100%;
    }
}
/* Footer */
footer {
    background: #333;
    color: white;
    padding: 15px;
}
#callAction{
    color: #fff;
    font-weight: 700;
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 50px;
    height: 50px;
    line-height: 50px;
    text-align: center;
    background-color: green;
    border-radius: 50%;
    font-size: 1.3rem;
    z-index: 1001;
}


